{*************************************************************************}
{                                                                         }
{  Publish example to illustrate the Executor Component                   }
{                                                                         }
{  Copyright (c) 1997, 1999 High-Logic [Erwin Denissen]                   }
{                                                                         }
{  There are no known bugs at the moment, so please notify us when you    }
{  find one. Make sure you are using the latest version of this software. }
{  email: erwind@high-logic.com                                           }
{                                                                         }
{*************************************************************************}

unit BrowserFrm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, HlcExecutor;

type
  TBrowserForm = class(TForm)
    Memo1: TMemo;
    Button1: TButton;
    hlcExecutor: ThlcExecutor;
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  BrowserForm: TBrowserForm;

implementation

{$R *.DFM}

procedure TBrowserForm.Button1Click(Sender: TObject);
var
  TempFileName : string;
begin
  TempFileName:=ExtractFilePath(Application.ExeName)+'publish_demo.html';
  Memo1.Lines.SaveToFile(TempFileName);
  hlcExecutor.FileName:='';
  hlcExecutor.LaunchType:='.html';
  hlcExecutor.LaunchOperation:='';
  hlcExecutor.CommandLine:=TempFileName;
  hlcExecutor.Execute;
end;

end.
