{-$D}
{*************************************************************************}
{                                                                         }
{                         HlcRegisterAbout Unit                           }
{                                                                         }
{  This is the About form.                                                }
{                                                                         }
{*************************************************************************}

{*************************************************************************}
{                                                                         }
{  Copyright (c) 1997, 1999 High-Logic [Erwin Denissen]                   }
{                                                                         }
{  You may use a Shareware Copy of this Software for an evaluation period }
{  of up to 30 days, in order to determine whether the Software meets     }
{  your needs before purchasing it. Once the evaluation period ends, you  }
{  agree to either purchase a copy of the software, or to stop using it   }
{  and remove it from your computer system.                               }
{                                                                         }
{  A registered version of this and other components and software can be  }
{  ordered at the following site: http://www.high-logic.com/index.html    }
{                                                                         }
{  There are no known bugs at the moment, so please notify me when you    }
{  find one. Make sure you are using the latest version of this software. }
{  email: erwind@high-logic.com                                           }
{                                                                         }
{  DISCLAIMER                                                             }
{  In no event will the author be held liable for any direct or indirect  }
{  damage resulting from the use of this software or any derivatives      }
{  thereof.                                                               }
{                                                                         }
{*************************************************************************}

unit HlcRegisterAbout;

interface

uses Windows, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls, SysUtils, ComCtrls, DsgnIntf;

type

  ThlcAbout = class
    Dummy : Pointer;
  end;

  ThlcRegisterAboutBoxDlg = class(TForm)
    OKButton: TButton;
    Bevel1: TBevel;
    Label2: TLabel;
    Label6: TLabel;
    lbWebSite: TLabel;
    Label8: TLabel;
    Label9: TLabel;
    MemoInfo: TMemo;
    procedure lbWebSiteClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

  ThlcRegisterAboutProperty = class(TClassProperty)
  public
    procedure Edit; override;
    function GetAttributes: TPropertyAttributes; override;
    function GetValue: string; override;
  end;

var
  hlcRegisterAboutBoxDlg: ThlcRegisterAboutBoxDlg;

implementation

{$R *.DFM}

uses HlcExecutor;

{ ThlcRegisterAboutProperty }

procedure ThlcRegisterAboutProperty.Edit;
var
  hlcRegisterAboutBox: ThlcRegisterAboutBoxDlg;
begin
  hlcRegisterAboutBox := ThlcRegisterAboutBoxDlg.Create(Application);
  try
    hlcRegisterAboutBox.ShowModal;
  finally
    hlcRegisterAboutBox.Free;
    Modified;
  end;
end;

function ThlcRegisterAboutProperty.GetAttributes: TPropertyAttributes;
begin
  Result := inherited GetAttributes + [paDialog] - [paSubProperties];
end;

function ThlcRegisterAboutProperty.GetValue: string;
begin
  Result := '(About)';
end;

{ ThlcRegisterAboutBox }

procedure ThlcRegisterAboutBoxDlg.lbWebSiteClick(Sender: TObject);
begin
  with ThlcExecutor.Create(Self) do
  begin
    GoOnline('http://www.high-logic.com/cool.html');
  end;
end;

end.

