unit HlcAbout;

interface

uses Windows, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls, SysUtils, HlcExecutor;

type
  THlcAboutBox = class(TForm)
    OKButton: TButton;
    Label1: TLabel;
    Bevel1: TBevel;
    Label2: TLabel;
    Label3: TLabel;
    PhysMem: TLabel;
    Label4: TLabel;
    FreeRes: TLabel;
    SpeedButtonProgram: TSpeedButton;
    Label5: TLabel;
    UsedByComponent: TLabel;
    MemoInfo: TMemo;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    Label9: TLabel;
    LabelUsed1: TLabel;
    LabelUsed4: TLabel;
    LabelUsed3: TLabel;
    LabelUsed2: TLabel;
    Executor1: ThlcExecutor;
    procedure FormCreate(Sender: TObject);
    procedure SpeedButtonProgramClick(Sender: TObject);
    procedure Label7Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  HlcAboutBox: THlcAboutBox;

implementation

{$R *.DFM}

procedure THlcAboutBox.FormCreate(Sender: TObject);
var
  MS: TMemoryStatus;
begin
  GlobalMemoryStatus(MS);
  PhysMem.Caption := FormatFloat('#,###" Bytes"', MS.dwTotalPhys);
  FreeRes.Caption := FormatFloat('#,###" Bytes"', (MS.dwMemoryLoad/100)*MS.dwTotalPhys);
end;





procedure THlcAboutBox.SpeedButtonProgramClick(Sender: TObject);
begin
  MemoInfo.Visible:=not MemoInfo.Visible;
  Label1.Visible:=not MemoInfo.Visible;
  Label2.Visible:=not MemoInfo.Visible;
  LabelUsed1.Visible:=MemoInfo.Visible;
  LabelUsed2.Visible:=MemoInfo.Visible;
  LabelUsed3.Visible:=MemoInfo.Visible;
  LabelUsed4.Visible:=MemoInfo.Visible;
end;




procedure THlcAboutBox.Label7Click(Sender: TObject);
begin
  Executor1.GoOnline('http://www.high-logic.com/cool.html');
end;

end.

