{*************************************************************************}
{                                                                         }
{  PlaySound example to illustrate the ResourceInline Component           }
{                                                                         }
{  Copyright (c) 1997, 1999 High-Logic [Erwin Denissen]                   }
{                                                                         }
{  There are no known bugs at the moment, so please notify us when you    }
{  find one. Make sure you are using the latest version of this software. }
{  email: erwind@high-logic.com                                           }
{                                                                         }
{*************************************************************************}

unit PlaySndFrm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, HlcResourceInline;

type
  TPlaySndForm = class(TForm)
    hlcResourceInline1: ThlcResourceInline;
    BitBtn1: TBitBtn;
    procedure BitBtn1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  PlaySndForm: TPlaySndForm;

implementation

uses MMSystem;

{$R *.DFM}

procedure TPlaySndForm.BitBtn1Click(Sender: TObject);
begin
  PlaySound(hlcResourceInline1.Resource.MemoryStream.Memory, 0, SND_ASYNC or SND_MEMORY);
end;

end.
